Bug 969387 - (freetiger) Review Request: freetiger - Free implementation of the tiger hash algorithm
Review Request: freetiger - Free implementation of the tiger hash algorithm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Benton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 966324
  Show dependency treegraph
 
Reported: 2013-05-31 06:46 EDT by Björn "besser82" Esser
Modified: 2013-09-16 13:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: freetiger-5-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 19:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
willb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review text (8.13 KB, text/plain)
2013-08-27 14:14 EDT, Will Benton
no flags Details

  None (edit)
Description Björn "besser82" Esser 2013-05-31 06:46:55 EDT
Spec URL: http://besser82.fedorapeople.org/review/freetiger/freetiger.spec
SRPM URL: http://besser82.fedorapeople.org/review/freetiger/freetiger-5-1.fc19.src.rpm

Description: freetiger is an implementation of the tiger hash algorithm made looking only at the tiger reference paper (thus ignoring the reference code until a working implementation was made). It also includes a modified version of the main program included with the tiger reference implementation which was used for benchmarking purposes.

It has been optimized for usage in the TTH calculation algorithm and includes optimized versions that will calculate the hashes for the 1024 byte file chunks and the 48 byte hash concatenation appending the proper suffix automatically thus minimizing memory to memory copying.

Also freetiger features interleaved hashing where the hashes of two different blocks are calculated at the same time interleaving the operations of one and the other. Using this increases the implementation performance.

freetiger also supports SSE2 for key scheduling during the tiger rounds which also increases performance on processors supporting it and provides an implementation of the partial hashing scheme for a more secure password storage when authenticating clients using the GPA command in ADC.

Fedora Account System Username: besser82
Comment 1 Christopher Meng 2013-05-31 07:03:09 EDT
Thanks for packaging it~
Comment 2 Christopher Meng 2013-05-31 21:54:03 EDT
Can you tell me the source1's purpose?
Comment 3 Björn "besser82" Esser 2013-06-01 00:32:18 EDT
Since Source0 only ships some code without any buildsystem (autotools, cmake, etc.), I've added (Source1) some simple CMake buildscript around to have Source0 build a shlib.
Comment 4 Michael Schwendt 2013-06-03 03:45:05 EDT
> %package	devel
> Requires:	cmake

That's an unusually strict dependency for a -devel package. Note that it also includes a pkgconfig file, so clearly it does not _need_ cmake. If the dep is just for directory ownership, you're free to own the cmake dir:

https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function
Comment 5 Björn "besser82" Esser 2013-06-03 06:53:08 EDT
Spec URL: http://besser82.fedorapeople.org/review/freetiger/freetiger.spec
SRPM URL: http://besser82.fedorapeople.org/review/freetiger/freetiger-5-2.fc19.src.rpm

%changelog
* Fri May 31 2013 Björn Esser <bjoern.esser@gmail.com> - 5-2
- devel shouldn't require cmake, owning %%{_libdir}/cmake is enough.
* Fri May 31 2013 Björn Esser <bjoern.esser@gmail.com> - 5-1
- Initial rpm release
Comment 7 Björn "besser82" Esser 2013-08-11 12:35:59 EDT
No progress from assignee since 8 weeks...
Resetting to NEW
Comment 8 Will Benton 2013-08-27 14:14:42 EDT
Created attachment 791138 [details]
review text

I've reviewed the package and found only a minor change necessary (to the license field).  Please fix this when importing.  Thanks!
Comment 9 Björn "besser82" Esser 2013-08-27 14:59:43 EDT
Thanks for the review, Will!  :)

#####

New Package SCM Request
=======================
Package Name: freetiger
Short Description: Free implementation of the tiger hash algorithm
Owners: besser82
Branches: el5 el6 f18 f19 f20
InitialCC:
Comment 10 Gwyn Ciesla 2013-08-27 16:14:01 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-08-29 03:10:14 EDT
freetiger-5-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/freetiger-5-2.el5
Comment 12 Fedora Update System 2013-08-29 03:10:39 EDT
freetiger-5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/freetiger-5-2.el6
Comment 13 Fedora Update System 2013-08-29 03:12:01 EDT
freetiger-5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/freetiger-5-2.fc18
Comment 14 Fedora Update System 2013-08-29 03:12:30 EDT
freetiger-5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freetiger-5-2.fc19
Comment 15 Fedora Update System 2013-08-29 13:41:06 EDT
freetiger-5-2.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 16 Fedora Update System 2013-08-30 19:01:30 EDT
freetiger-5-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-08-30 19:05:25 EDT
freetiger-5-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Fedora Update System 2013-09-16 13:45:10 EDT
freetiger-5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 19 Fedora Update System 2013-09-16 13:45:41 EDT
freetiger-5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.